Bug 1170956 - package build set wrong value for macro %suse_version
package build set wrong value for macro %suse_version
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-30 19:55 UTC by Giacomo Comes
Modified: 2022-06-13 12:45 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giacomo Comes 2020-04-30 19:55:24 UTC
The package build currently set the value of macro %suse_version to 1321
(as defined in /usr/lib/build/configs/sl15.5.conf).
This causes problems when building locally some packages which have in their spec file something like:

  # Enable for tumbleweed only for now
  %if 0%{?suse_version} >= 1550

%suse_version in /usr/lib/build/configs/sl15.5.conf should be 1550 or higher value (whatever is appropriate).
Comment 1 Adrian Schröter 2020-08-19 12:39:37 UTC
fixed in git master.

However, factory is a moving target, I am not sure that this config file makes much sense in the package anyway...
Comment 2 OBSbugzilla Bot 2020-08-20 09:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1170956) was mentioned in
https://build.opensuse.org/request/show/828094 Factory / build
Comment 5 Swamp Workflow Management 2020-09-16 16:17:06 UTC
SUSE-RU-2020:2658-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1170956,1172563,1174854
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Development Tools 15-SP2 (src):    build-20200520-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2021-03-04 17:16:01 UTC
SUSE-RU-2021:0709-1: An update that has four recommended fixes can now be installed.

Category: recommended (low)
Bug References: 1170956,1172563,1174854,1181646
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    build-20210120-9.9.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.